de.esprit.netsuite.transl

## Enum TrEnsWindow

- java.lang.Object
- - java.lang.Enum<TrEnsWindow>
  - - de.esprit.netsuite.transl.TrEnsWindow

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEnsWindow>

      public enum TrEnsWindow
      extends java.lang.Enum<TrEnsWindow>
      implements NlsKey

  Translations for window titles
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABO_CREATE`
    `ABO_TOOL`
    `ACTIVITY_MONITOR`
    `AVAILABLE_GROUPS`
    `AVAILABLE_PERMISSIONS`
    `BUSINESS_INSTANCE_ACCESS`
    `CHANGE_PASSWORD`
    `CHAT_TOOL_OF_USER`
    `CLIENT_LIST`
    `CONFIGURE_LOGGING`
    `CONFIGURE_PROCESS`
    `CONNECTION_LOST`
    `DATA_SOURCES`
    `EDIT_TANK_INSTANCE`
    `FILE_DOWNLOAD`
    `FILE_TRANSFERS_LIST`
    `FILE_UPLOAD`
    `FILENAME_INPUT`
    `GRAPH_TOOL`
    `GROUP_MANAGER`
    `GROUPS_OF`
    `LOAD_PROTECT_PARAMS`
    `LOCAL_FILE_SYSTEM`
    `LOCK_LIST`
    `LOGFILE_LIST`
    `MAIL_LIST`
    `MAMMOTH_TOOL`
    `MESSAGE_TO_CLIENT`
    `PERMISSION_EDITOR`
    `PROC_TIMETABLE`
    `PROCESS_HISTORY`
    `RECEIVED_SERVER_EVENTS`
    `REMOTE_FILE_SYSTEM`
    `REMOTE_PATH_TREE_TOOL`
    `REMOTE_TASKS`
    `SCHEDULED_PROCS_LIST`
    `SERVER_PROCESSES`
    `SET_DEFAULT_PASSWORD`
    `START_OS_PROCESS`
    `TEST_TOOL`
    `USER_MANAGER`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEnsWindow` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEnsWindow[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### MAIL_LIST

          public static final TrEnsWindow MAIL_LIST

    - #### LOGFILE_LIST

          public static final TrEnsWindow LOGFILE_LIST

    - #### CLIENT_LIST

          public static final TrEnsWindow CLIENT_LIST

    - #### FILE_TRANSFERS_LIST

          public static final TrEnsWindow FILE_TRANSFERS_LIST

    - #### ACTIVITY_MONITOR

          public static final TrEnsWindow ACTIVITY_MONITOR

    - #### BUSINESS_INSTANCE_ACCESS

          public static final TrEnsWindow BUSINESS_INSTANCE_ACCESS

    - #### ABO_CREATE

          public static final TrEnsWindow ABO_CREATE

    - #### EDIT_TANK_INSTANCE

          public static final TrEnsWindow EDIT_TANK_INSTANCE

    - #### LOCK_LIST

          public static final TrEnsWindow LOCK_LIST

    - #### CONFIGURE_LOGGING

          public static final TrEnsWindow CONFIGURE_LOGGING

    - #### CONFIGURE_PROCESS

          public static final TrEnsWindow CONFIGURE_PROCESS

    - #### PROC_TIMETABLE

          public static final TrEnsWindow PROC_TIMETABLE

    - #### SCHEDULED_PROCS_LIST

          public static final TrEnsWindow SCHEDULED_PROCS_LIST

    - #### PROCESS_HISTORY

          public static final TrEnsWindow PROCESS_HISTORY

    - #### FILENAME_INPUT

          public static final TrEnsWindow FILENAME_INPUT

    - #### CONNECTION_LOST

          public static final TrEnsWindow CONNECTION_LOST

    - #### LOAD_PROTECT_PARAMS

          public static final TrEnsWindow LOAD_PROTECT_PARAMS

    - #### CHANGE_PASSWORD

          public static final TrEnsWindow CHANGE_PASSWORD

    - #### SET_DEFAULT_PASSWORD

          public static final TrEnsWindow SET_DEFAULT_PASSWORD

    - #### MESSAGE_TO_CLIENT

          public static final TrEnsWindow MESSAGE_TO_CLIENT

    - #### START_OS_PROCESS

          public static final TrEnsWindow START_OS_PROCESS

    - #### SERVER_PROCESSES

          public static final TrEnsWindow SERVER_PROCESSES

    - #### RECEIVED_SERVER_EVENTS

          public static final TrEnsWindow RECEIVED_SERVER_EVENTS

    - #### DATA_SOURCES

          public static final TrEnsWindow DATA_SOURCES

    - #### USER_MANAGER

          public static final TrEnsWindow USER_MANAGER

    - #### GROUP_MANAGER

          public static final TrEnsWindow GROUP_MANAGER

    - #### CHAT_TOOL_OF_USER

          public static final TrEnsWindow CHAT_TOOL_OF_USER

    - #### TEST_TOOL

          public static final TrEnsWindow TEST_TOOL

    - #### MAMMOTH_TOOL

          public static final TrEnsWindow MAMMOTH_TOOL

    - #### GRAPH_TOOL

          public static final TrEnsWindow GRAPH_TOOL

    - #### ABO_TOOL

          public static final TrEnsWindow ABO_TOOL

    - #### REMOTE_TASKS

          public static final TrEnsWindow REMOTE_TASKS

    - #### FILE_DOWNLOAD

          public static final TrEnsWindow FILE_DOWNLOAD

    - #### FILE_UPLOAD

          public static final TrEnsWindow FILE_UPLOAD

    - #### LOCAL_FILE_SYSTEM

          public static final TrEnsWindow LOCAL_FILE_SYSTEM

    - #### REMOTE_FILE_SYSTEM

          public static final TrEnsWindow REMOTE_FILE_SYSTEM

    - #### REMOTE_PATH_TREE_TOOL

          public static final TrEnsWindow REMOTE_PATH_TREE_TOOL

    - #### AVAILABLE_PERMISSIONS

          public static final TrEnsWindow AVAILABLE_PERMISSIONS

    - #### AVAILABLE_GROUPS

          public static final TrEnsWindow AVAILABLE_GROUPS

    - #### GROUPS_OF

          public static final TrEnsWindow GROUPS_OF

    - #### PERMISSION_EDITOR

          public static final TrEnsWindow PERMISSION_EDITOR

  - ### Method Detail

    - #### values

          public static TrEnsWindow[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEnsWindow c : TrEnsWindow.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEnsWindow valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.